hpp-python: pyhpp::pinocchio::Device Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Public Member Functions | Public Attributes | List of all members
pyhpp::pinocchio::Device Struct Reference

`#include <pyhpp/pinocchio/device.hh>`

## Public Member Functions
| Device (const DevicePtr_t &object)
const std::string & | name () const
const LiegroupSpacePtr_t & | configSpace () const
Model & | model ()
Data & | data ()
GeomData & | geomData ()
GeomModel & | geomModel ()
GeomModel & | visualModel ()
size_type | configSize () const
size_type | numberDof () const
const Configuration_t & | currentConfiguration () const
bool | currentConfiguration (ConfigurationIn_t configuration)
void | computeForwardKinematics (int flag)
void | computeFramesForwardKinematics ()
void | updateGeometryPlacements ()
void | removeJoints (const std::vector< std::string > &jointNames, Configuration_t q)
hpp::manipulation::DevicePtr_t | asManipulationDevice () const

## Public Attributes
DevicePtr_t | obj

## Constructor & Destructor Documentation

## ◆ Device()

pyhpp::pinocchio::Device::Device | ( | const DevicePtr_t & | object | ) |
| inline

## Member Function Documentation

## ◆ asManipulationDevice()

hpp::manipulation::DevicePtr_t pyhpp::pinocchio::Device::asManipulationDevice | ( |  | ) | const
| inline

## ◆ computeForwardKinematics()

void pyhpp::pinocchio::Device::computeForwardKinematics | ( | int | flag | ) |
| inline

## ◆ computeFramesForwardKinematics()

void pyhpp::pinocchio::Device::computeFramesForwardKinematics | ( |  | ) |
| inline

## ◆ configSize()

size_type pyhpp::pinocchio::Device::configSize | ( |  | ) | const
| inline

## ◆ configSpace()

const LiegroupSpacePtr_t & pyhpp::pinocchio::Device::configSpace | ( |  | ) | const
| inline

## ◆ currentConfiguration() [1/2]

const Configuration_t & pyhpp::pinocchio::Device::currentConfiguration | ( |  | ) | const
| inline

## ◆ currentConfiguration() [2/2]

bool pyhpp::pinocchio::Device::currentConfiguration | ( | ConfigurationIn_t | configuration | ) |
| inline

## ◆ data()

Data & pyhpp::pinocchio::Device::data | ( |  | ) |
| inline

## ◆ geomData()

GeomData & pyhpp::pinocchio::Device::geomData | ( |  | ) |
| inline

## ◆ geomModel()

GeomModel & pyhpp::pinocchio::Device::geomModel | ( |  | ) |
| inline

## ◆ model()

Model & pyhpp::pinocchio::Device::model | ( |  | ) |
| inline

## ◆ name()

const std::string & pyhpp::pinocchio::Device::name | ( |  | ) | const
| inline

## ◆ numberDof()

size_type pyhpp::pinocchio::Device::numberDof | ( |  | ) | const
| inline

## ◆ removeJoints()

void pyhpp::pinocchio::Device::removeJoints | ( | const std::vector< std::string > & | jointNames,
|  | Configuration_t | q
| ) |  |
| inline

## ◆ updateGeometryPlacements()

void pyhpp::pinocchio::Device::updateGeometryPlacements | ( |  | ) |
| inline

## ◆ visualModel()

GeomModel & pyhpp::pinocchio::Device::visualModel | ( |  | ) |
| inline

## Member Data Documentation

## ◆ obj

DevicePtr_t pyhpp::pinocchio::Device::obj

The documentation for this struct was generated from the following file:

- src/pyhpp/pinocchio/device.hh